---
outline: deep
footer: false
---

# 编辑器

岛屿 `MUSE` 中使用的编辑器叫 `IsleEditor`，它是一个所见即所得（ `WYSIWYG` ）的 `Notion Style` 风格编辑器，基于开源编辑器 `ProseMirror` 和 `Tiptap`，未来，经过我们持续不断的完善，在 `MUSE` 编辑器中适配了所有富文本编辑器功能并确保无问题后，我们会上线岛屿的笔记模块，并且也会开源 `IsleEditor`，敬请期待。

在岛屿笔记自带的编辑器中，您可以使用更丰富的样式来编辑内容。

<div class="flex relative pb-10">
  <div class="w-60% h-auto flex-shrink-1 absolute bottom-0 right-0">
    <img class="w-full" src="/public/img/site/1.png" />
  </div>
  <div class="w-60% h-auto flex-shrink-1">
    <img class="w-full" src="/public/img/site/2.png" />
  </div>
</div>

如过您使用三方的方式记录 `MUSE`，比如微信录入、API录入，也不用担心，因为岛屿还支持主流的 `Markdown` 语法，您可以在三方平台记录时使用 `Markdown` 语法来定义您的内容样式。

未来我们除了会将编辑器逐步开源之外，还会单独提供一个 `MUSE` 编辑器，以供用户在使用扩展 API 定制化记录入口时，也可以使用到岛屿的编辑器。

岛屿编辑器目前已被支持的样式如下：

| 样式 | 说明 | Mac快捷键 | Win快捷键 | Markdown |
|-------|-------|-------|-------|-------|
| Bold | 加粗 | ⌘+B | Ctrl+B | `**isle**` |
| Italic | 斜体 | ⌘+I | Ctrl+I | `*isle*` |
| Underline | 下划线 | ⌘+U | Ctrl+U |  |
| Strike | 删除线 | ⌘+Shift+S | Ctrl+Shift+S | `~~isle~~` |
| Code | 内联代码 | ⌘+E | Ctrl+E | `` `isle` `` |
| Link | 链接 |   |   |   |
| Subscript | 下标 | ⌘+, | Ctrl+, |  |
| Superscript | 上标 | ⌘+. | Ctrl+. |  |
| Emphasis | 着重符 |  |  |  |
| Color | 颜色 |  |  |  |
| Background | 背景颜色 |  |  |  |
| Text align left | 文本左对齐 | ⌘+Shift+L | Ctrl+Shift+L |  |
| Text align center | 文本居中对齐 | ⌘+Shift+E | Ctrl+Shift+E |  |
| Text align right | 文本右对齐 | ⌘+Shift+R | Ctrl+Shift+R |  |
| Text align justify | 文本两端对齐 | ⌘+Shift+J | Ctrl+Shift+J |  |
| Paragraph | 段落 | ⌘+Alt+0 | Ctrl+Alt+0 |  |
| Heading 1 | 一级标题 | ⌘+Alt+1 | Ctrl+Alt+1 | `# isle` |
| Heading 2 | 二级标题 | ⌘+Alt+2 | Ctrl+Alt+2 | `## isle` |
| Heading 3 | 三级标题 | ⌘+Alt+3 | Ctrl+Alt+3 | `### isle` |
| Heading 4 | 四级标题 | ⌘+Alt+4 | Ctrl+Alt+4 | `#### isle` |
| Heading 5 | 五级标题 | ⌘+Alt+5 | Ctrl+Alt+5 | `##### isle` |
| Heading 6 | 六级标题 | ⌘+Alt+6 | Ctrl+Alt+6 | `###### isle` |
| Ordered List | 有序列表 | ⌘+Shift+7 | Ctrl+Shift+7 | `1. isle` |
| Bullet List | 无序列表 | ⌘+Shift+8 | Ctrl+Shift+8 | `- isle` |
| Task List | 任务列表 | ⌘+Shift+9 | Ctrl+Shift+9 | `[x] isle` |
| Divider | 分割线 |  |  | `---` |
| Block quote | 块引用 | ⌘+Shift+B | Ctrl+Shift+B | `> isle` |
| Block code | 代码块 | ⌘+Alt+C | Ctrl+Alt+C | ` ```HTML` |
| Image | 图片 |  |  |  |
| Table | 表格 |  |  |  |

